﻿
using JetBrains.Annotations;
using OpcLabs.BaseLib.DataTypeModel;

namespace OpcLabs.BaseLibFactory.DataTypeModel
{
    static public class PrimitiveDataTypeInstances
    {
        [NotNull]
        static public PrimitiveDataType Instance1 => new PrimitiveDataType(typeof(int));

        [NotNull]
        static public PrimitiveDataType Instance2 => new PrimitiveDataType("aName", typeof(int));

        [NotNull]
        static public PrimitiveDataType Instance3 => new PrimitiveDataType("aName2", "aFullName2", typeof(int));

        [NotNull] static public PrimitiveDataType Instance4 = 
            new PrimitiveDataType("aName3", "aFullName3", typeof(int)) {Description = "aDescription"};
    }
}
