﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.AlarmsAndEvents.AddressSpace;

namespace OpcLabs.EasyOpcFactory.AlarmsAndEvents.AddressSpace
{
    static public class AESubconditionElementCollectionInstances
    {
        [NotNull]
        static public AESubconditionElementCollection Instance0 => new AESubconditionElementCollection();

        [NotNull]
        static public AESubconditionElementCollection Instance1
        {
            get
            {
                var subconditionElementCollection = new AESubconditionElementCollection
                {
                    AESubconditionElementInstances.Instance0,
                    AESubconditionElementInstances.Instance1
                };

                return subconditionElementCollection;
            }
        }
    }
}
