﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess.Connectivity;

namespace OpcLabs.EasyOpcFactory.DataAccess.Connectivity
{
    static public class DAItemPointSubscribeParametersInstances
    {
        [NotNull]
        static public DAItemPointSubscribeParameters Instance1
        {
            get
            {
                var itemPointSubscribeParameters = new DAItemPointSubscribeParameters
                {
                    Locale = 111,
                    PercentDeadband = 22.2f,
                    RequestedUpdateRate = 333
                };
                return itemPointSubscribeParameters;
            }
        }

        [NotNull]
        static public DAItemPointSubscribeParameters Instance2
        {
            get
            {
                var itemPointSubscribeParameters = new DAItemPointSubscribeParameters
                {
                    Locale = 112,
                    PercentDeadband = 22.3f,
                    RequestedUpdateRate = 334
                };
                return itemPointSubscribeParameters;
            }
        }
    }
}
