﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess;
using OpcLabs.EasyOpcFactory.DataAccess.Engine;

namespace OpcLabs.EasyOpcFactory.DataAccess
{
    static public class EasyDAClientConfigurationInstances
    {
        [NotNull]
        static public EasyDAClientConfiguration Instance1
        {
            get
            {
                var clientConfiguration = new EasyDAClientConfiguration
                {
                    //AdaptableParameters = EasyDAAdaptableParametersInstances.Instance1,   // IMPROVE: have this when possible
                    SharedParameters = EasyDASharedParametersInstances.Instance1,
                };
                return clientConfiguration;
            }
        }
    }
}
