﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpc.UA.Connectivity;

// ReSharper disable once CheckNamespace
namespace OpcLabs.EasyOpcFactory.UA.Connectivity
{
    static public class UAAttributePointInstances
    {
        [NotNull]
        static public UAAttributePoint Instance0 = new UAAttributePoint();

        [NotNull]
        static public UAAttributePoint Instance1 = new UAAttributePoint(UAEndpointDescriptorInstances.Instance1, UANodeDescriptorInstances.Instance1);

        [NotNull]
        static public UAAttributePoint Instance2 = new UAAttributePoint(
            UAEndpointDescriptorInstances.Instance2, 
            UANodeDescriptorInstances.Instance2,
            UAAttributeId.AccessLevel);

        [NotNull]
        static public UAAttributePoint Instance3 = new UAAttributePoint(
            UAEndpointDescriptorInstances.Instance3,
            UANodeDescriptorInstances.Instance3,
            UAAttributeId.NodeId,
            UAIndexRangeListInstances.Instance1);
    }
}
