﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.OperationModel;

namespace OpcLabs.EasyOpcFactory.UA.OperationModel
{
    static public class UAMonitoredItemArgumentsInstances
    {
        [NotNull]
        static public UAMonitoredItemArguments Instance0 => new UAMonitoredItemArguments();

        [NotNull]
        static public UAMonitoredItemArguments Instance1 => new UAMonitoredItemArguments(UANodeArgumentsInstances.Instance1);

        [NotNull]
        static public UAMonitoredItemArguments Instance2 => new UAMonitoredItemArguments(UANodeArgumentsInstances.Instance1)
        {
            MonitoringParameters = UAMonitoringParametersInstances.Instance1,
            SubscriptionParameters = UASubscriptionParametersInstances.Instance1
        };

        [NotNull]
        static public UAMonitoredItemArguments Instance3 => new UAMonitoredItemArguments(UANodeArgumentsInstances.Instance1)
        {
            MonitoringParameters = UAMonitoringParametersInstances.Instance2,
            SubscriptionParameters = UASubscriptionParametersInstances.Instance1,
            AutoConditionRefresh = false
        };
    }
}
