﻿using System.Diagnostics;
using System.Reflection;
using OpcLabs.BaseLib.Reflection.Extensions;

namespace OpcLabs.UnitTestLib.Testers
{
    public class ValidValueDataMemberInstanceTester : ValidValueDataMemberTester
    {

        protected override bool ShouldTestDataMember(MemberInfo dataMember)
        {
            Debug.Assert(dataMember != null);
            if (!base.ShouldTestDataMember(dataMember))
                return false;
            // ReSharper disable once ConvertIfStatementToReturnStatement
            if (dataMember.IsStatic())
                return false;
            return true;
        }
    }
}
