﻿using JetBrains.Annotations;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.EasyOpc;
using OpcLabs.EasyOpc.DataAccess;
using OpcLabs.UnitTestLib;

namespace OpcLabs.EasyOpcLiveTest.Legacy
{
    public class ServerElementCollectionTest
    {
        [TestCategory("BinarySerialization")]
        [TestCategory("Live")]
        [TestMethod]
        public void BinarySerializationTestLiveDA()
        {
            Tests.BinarySerializationTest(CreateSerializationTargetLiveDA());
        }

        [TestCategory("Live")]
        [TestCategory("XmlSerialization")]
        [TestMethod]
        public void XmlSerializationTestLiveDA()
        {
            Tests.XmlSerializationTest(CreateSerializationTargetLiveDA());
        }

        [NotNull]
        private ServerElementCollection CreateSerializationTargetLiveDA()
        {
            return EasyDAClient.SharedInstance.BrowseServers("");
        }
    }
}
