﻿
using JetBrains.Annotations;
using OpcLabs.BaseLib.DataTypeModel;

namespace OpcLabs.BaseLibFactory.DataTypeModel
{
    static public class SequenceDataInstances
    {
        [NotNull]
        static public SequenceData Instance0 => new SequenceData();

        [NotNull]
        static public SequenceData Instance1 => new SequenceData(SequenceDataTypeInstances.Instance5);

        [NotNull]
        static public SequenceData Instance2 => new SequenceData(SequenceDataTypeInstances.Instance5)
        {
            OpaqueDataInstances.Instance0
        };

        [NotNull]
        static public SequenceData Instance3 => new SequenceData(SequenceDataTypeInstances.Instance4)
        {
            OpaqueDataInstances.Instance2,
            EnumerationDataInstances.Instance2,
            PrimitiveDataInstances.ArrayOfByte1,
            StructuredDataInstances.Instance3
        };
    }
}
