﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.AlarmsAndEvents.AddressSpace;

namespace OpcLabs.EasyOpcFactory.AlarmsAndEvents.AddressSpace
{
    static public class AEConditionElementCollectionInstances
    {
        [NotNull]
        static public AEConditionElementCollection Instance0 => new AEConditionElementCollection();

        [NotNull]
        static public AEConditionElementCollection Instance1
        {
            get
            {
                var conditionElementCollection = new AEConditionElementCollection
                {
                    AEConditionElementInstances.Instance0,
                    AEConditionElementInstances.Instance1,
                    AEConditionElementInstances.Instance2
                };

                return conditionElementCollection;
            }
        }
    }
}
