﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess.Engine;
using OpcLabs.EasyOpcFactory.Engine;

namespace OpcLabs.EasyOpcFactory.DataAccess.Engine
{
    static public class EasyDAEngineParametersInstances
    {
        [NotNull]
        static public EasyDAEngineParameters Instance1 => new EasyDAEngineParameters(EasyEngineParametersInstances.Instance1)
        {
            MaxClientAge = 111,
            MaxTopicAge = 222,
        };
    }
}
