﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.AddressSpace;
using OpcLabs.EasyOpc.UA.AddressSpace.Standard;
using OpcLabs.EasyOpc.UA.Navigation;

namespace OpcLabs.EasyOpcFactory.UA.AddressSpace
{
    static public class UABrowsePathInstances
    {

        [NotNull]
        static public UABrowsePath Instance1 => new UABrowsePath(UAObjectIds.ObjectsFolder);

        [NotNull]
        static public UABrowsePath Instance2 => new UABrowsePath(new[]
        {
            new UABrowsePathElement(UABrowsePathElementType.AnyComponent, new UAQualifiedName("testNamespaceUri1", "testName1")),
            new UABrowsePathElement(UABrowsePathElementType.AnyComponent, new UAQualifiedName("testNamespaceUri2", "testName2"))
        });
    }
}
