﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.OperationModel;

namespace OpcLabs.EasyOpcFactory.UA.OperationModel
{
    static public class EasyUAMonitoredItemArgumentsInstances
    {
        [NotNull]
        static public EasyUAMonitoredItemArguments Instance0 => new EasyUAMonitoredItemArguments();

        [NotNull]
        static public EasyUAMonitoredItemArguments Instance1 => new EasyUAMonitoredItemArguments(UANodeArgumentsInstances.Instance1);

        [NotNull]
        static public EasyUAMonitoredItemArguments Instance2 => new EasyUAMonitoredItemArguments(UANodeArgumentsInstances.Instance1)
        {
            MonitoringParameters = UAMonitoringParametersInstances.Instance1,
            SubscriptionParameters = UASubscriptionParametersInstances.Instance1
        };

        [NotNull]
        static public EasyUAMonitoredItemArguments Instance3 => new EasyUAMonitoredItemArguments(UANodeArgumentsInstances.Instance1)
        {
            MonitoringParameters = UAMonitoringParametersInstances.Instance2,
            SubscriptionParameters = UASubscriptionParametersInstances.Instance1,
            AutoConditionRefresh = false
        };

        // IMPROVE: cover Callback somehow?
    }
}
