﻿using System;
using System.Collections.Generic;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.BaseLib.ComponentModel.Internal;
using OpcLabs.BaseLib.Graphs;
using OpcLabs.BaseLib.Graphs.Internal;
using OpcLabs.UnitTestLib;

namespace OpcLabs.BaseLibTest.ComponentModel.Internal
{
    [TestClass]
    public class PropertyForestTraversableTest
    {
        [TestMethod]
        public void Test()
        {
            var component = new Exception("Level 0", new Exception("Level 1"));
            IForestTraversable<PropertyGridTreeEntry> forestTraversable = PropertyGridTreeEntry.GetForestTraversable(component);

            IEnumerable<PropertyGridTreeEntry> enumerable = forestTraversable.ToEnumerable();
            foreach (PropertyGridTreeEntry propertyGridTreeEntry in enumerable)
            {
                AssertUtilities.WriteLine(propertyGridTreeEntry);
            }
        }
    }
}
